Name: icingadb
Version: 1.1.0+86.g3f768dd
Release: 1691483080
Summary: Icinga configuration and state database supporting multiple environments

Group: Productivity/Databases/Daemons

License: GPL-2.0-only

URL: https://icinga.com
Source0: icingadb-1.1.0+86.g3f768dd.tgz
Source1: icingadb.service

BuildRequires: gcc
BuildRequires: systemd-rpm-macros

Requires(pre): shadow

%description
Icinga DB is a set of components for publishing, synchronizing and
visualizing monitoring data in the Icinga ecosystem.
This is the Icinga DB daemon, which synchronizes monitoring data
between a Redis server and a database.

%define debug_package %{nil}

%prep
%autosetup

%build
go build -buildvcs=false -trimpath -o . ./cmd/...

%install
install -Dpm 0755 icingadb %_topdir/BUILDROOT/icingadb-1.1.0+86.g3f768dd-1691483080.x86_64/usr/sbin/icingadb
install -Dpm 0755 icingadb-migrate %_topdir/BUILDROOT/icingadb-1.1.0+86.g3f768dd-1691483080.x86_64/usr/sbin/icingadb-migrate
install -dm 0750 %_topdir/BUILDROOT/icingadb-1.1.0+86.g3f768dd-1691483080.x86_64/etc/icingadb
install -pm 0640 config.example.yml %_topdir/BUILDROOT/icingadb-1.1.0+86.g3f768dd-1691483080.x86_64/etc/icingadb/config.yml
install -Dpm 0644 %_topdir/SOURCES/icingadb.service %_topdir/BUILDROOT/icingadb-1.1.0+86.g3f768dd-1691483080.x86_64/usr/lib/systemd/system/icingadb.service

install -dm 0755 %_topdir/BUILDROOT/icingadb-1.1.0+86.g3f768dd-1691483080.x86_64/usr/share/icingadb
cp -rv schema %_topdir/BUILDROOT/icingadb-1.1.0+86.g3f768dd-1691483080.x86_64/usr/share/icingadb/

%pre
getent passwd icingadb >/dev/null || useradd -rU -d /etc/icingadb -s /sbin/nologin icingadb

%post
:
if [ -x /usr/bin/systemctl ]; then
test -n "$FIRST_ARG" || FIRST_ARG="$1"
[ -d /var/lib/systemd/migrated ] || mkdir -p /var/lib/systemd/migrated || :

if [ "$YAST_IS_RUNNING" != "instsys" ]; then
/usr/bin/systemctl daemon-reload || :
fi
for service in icingadb.service ; do
sysv_service=${service%.*}

if [ -e /run/systemd/rpm/needs-preset/$service ]; then
/usr/bin/systemctl preset $service || :
rm "/run/systemd/rpm/needs-preset/$service" || :

elif [ -e /run/systemd/rpm/needs-sysv-convert/$service ]; then
/usr/sbin/systemd-sysv-convert --apply $sysv_service || :
rm "/run/systemd/rpm/needs-sysv-convert/$service" || :
touch /var/lib/systemd/migrated/$sysv_service || :
fi
done
fi

%preun
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"
if [ "$FIRST_ARG" -eq 0 -a -x /usr/bin/systemctl ]; then
/usr/bin/systemctl --no-reload disable icingadb.service || :
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_STOP_ON_REMOVAL" && . /etc/sysconfig/services
test "$DISABLE_STOP_ON_REMOVAL" = yes -o \
"$DISABLE_STOP_ON_REMOVAL" = 1 && exit 0
/usr/bin/systemctl stop icingadb.service
) || :
fi

%postun
:
test -n "$FIRST_ARG" || FIRST_ARG="$1"

if [ $1 -eq 0 ]; then
for service in icingadb.service ; do
sysv_service="${service%.*}"
rm -f "/var/lib/systemd/migrated/$sysv_service" || :
done
fi
if [ -x /usr/bin/systemctl ]; then
/usr/bin/systemctl daemon-reload || :
fi

if [ "$FIRST_ARG" -ge 1 ]; then
if [ -x /usr/bin/systemctl ]; then
(
test "$YAST_IS_RUNNING" = instsys && exit 0
test -f /etc/sysconfig/services -a \
-z "$DISABLE_RESTART_ON_UPDATE" && . /etc/sysconfig/services
test "$DISABLE_RESTART_ON_UPDATE" = yes -o \
"$DISABLE_RESTART_ON_UPDATE" = 1 && exit 0
/usr/bin/systemctl try-restart icingadb.service
) || :
fi
fi

%files
%doc README.md
%license LICENSE
/usr/sbin/icingadb
/usr/sbin/icingadb-migrate
/usr/lib/systemd/system/icingadb.service
/usr/share/icingadb/schema

%attr(-, icingadb, root) /etc/icingadb
%attr(-, icingadb, root) %config(noreplace) /etc/icingadb/config.yml

%changelog
* Tue Aug 08 2023 Icinga GmbH <info@icinga.com> - 1.1.0+86.g3f768dd-1691483080$RPM_DIST
- Version 1.1.0+86.g3f768dd-1691483080

